/*
    This file is part of Rekall.
    Copyright (C) 2013-2015

    Project Manager: Clarisse Bardiot
    Development & interactive design: Guillaume Jacquemin & Guillaume Marais (http://www.buzzinglight.com)

    This file was written by Guillaume Jacquemin.

    Rekall is a free software: you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation, either version 3 of the License, or
    any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program.  If not, see <http://www.gnu.org/licenses/>.
*/

const Tags = (function() {
    let flattenTimelineTags;

    function getFlattenTimeLineTags() {
        if(!flattenTimelineTags){
            flattenTimelineTags = [];
        }

        return flattenTimelineTags;
    }

    function empty(){
        flattenTimelineTags = [];
    }

    let sort = function() {
        let localFlattenTimeline = getFlattenTimeLineTags();
        localFlattenTimeline.sort(function (a, b) {
            if (a.timeStart < b.timeStart) return -1;
            if (a.timeStart > b.timeStart) return 1;
            return 0;
        });
    }

    let push = function(value) {
        let localFlattenTimeline = getFlattenTimeLineTags();
        localFlattenTimeline.push(value);
    }

    return {
        getFlattenTimeLineTags: getFlattenTimeLineTags,
        reset: empty,
        sort: sort,
        push: push
    }
})();
